Bug 198111 - [PATCH] security/p5-Crypt-SMIME Fix OpenSSL dependency
Summary: [PATCH] security/p5-Crypt-SMIME Fix OpenSSL dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-perl mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-28 20:40 UTC by Bernard Spil
Modified: 2015-09-19 12:56 UTC (History)
2 users (show)

See Also:
mat: maintainer-feedback+


Attachments
svn diff for security/p5-Crypt-SMIME (658 bytes, patch)
2015-02-28 20:40 UTC, Bernard Spil
mat: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-02-28 20:40:14 UTC
Created attachment 153627 [details]
svn diff for security/p5-Crypt-SMIME

The port uses RUN_DEPENDS to depend on libcrypto. This has been superseeded by WITH_OPENSSL_PORT= yes

Currently this breaks build with LibreSSL installed.
Comment 1 commit-hook freebsd_committer 2015-03-08 19:19:10 UTC
A commit references this bug:

Author: adamw
Date: Sun Mar  8 19:18:44 UTC 2015
New revision: 380790
URL: https://svnweb.freebsd.org/changeset/ports/380790

Log:
  Allow the OpenSSL library to be overridden by using WITH_OPENSSL_PORT
  instead of a LIB_DEPENDS. I think this is the right way to use
  WITH_OPENSSL_PORT, but it's tough to know given the lack of documentation
  on it.

  PR:		198111
  Submitted by:	Bernard Spil

Changes:
  head/security/p5-Crypt-SMIME/Makefile
Comment 2 Adam Weinberger freebsd_committer 2015-03-08 19:20:41 UTC
Thanks, Bernard, I've committed this.

I'm pretty sure this module works just fine with the OpenSSL in base, (just need to pass LIBCRYPTO_CFLAGS/LIBS in CONFIGURE_ENV), but everything in "make test" requires the libcrypto.pc stuff.
Comment 3 geoffroy desvernay 2015-09-19 12:56:59 UTC
@Adam: Think I found it, see bug #203205